> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source Table Schema

> The table's parquet-footer schema, read on demand.



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json get /v1/source_tables/{table_name}
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /v1/source_tables/{table_name}:
    get:
      tags:
        - source_tables
      summary: Get Source Table Schema
      description: The table's parquet-footer schema, read on demand.
      operationId: get_source_table_schema_v1_source_tables__table_name__get
      parameters:
        - name: table_name
          in: path
          required: true
          schema:
            type: string
            title: Table Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceTableSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SourceTableSchemaResponse:
      properties:
        table_name:
          type: string
          title: Table Name
        columns:
          items:
            $ref: '#/components/schemas/FieldDef-Output'
          type: array
          title: Columns
      type: object
      required:
        - table_name
        - columns
      title: SourceTableSchemaResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FieldDef-Output:
      properties:
        name:
          type: string
          title: Name
        datatype:
          $ref: '#/components/schemas/DataType-Output'
      additionalProperties: false
      type: object
      required:
        - name
        - datatype
      title: FieldDef
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DataType-Output:
      oneOf:
        - $ref: '#/components/schemas/String'
        - $ref: '#/components/schemas/Boolean'
        - $ref: '#/components/schemas/CategoricalString'
        - $ref: '#/components/schemas/CategoricalInteger'
        - $ref: '#/components/schemas/Integer'
        - $ref: '#/components/schemas/Real'
        - $ref: '#/components/schemas/outerproduct_dataframe__datatype__Datetime'
      discriminator:
        propertyName: kind
        mapping:
          boolean:
            $ref: '#/components/schemas/Boolean'
          categorical_integer:
            $ref: '#/components/schemas/CategoricalInteger'
          categorical_string:
            $ref: '#/components/schemas/CategoricalString'
          datetime:
            $ref: '#/components/schemas/outerproduct_dataframe__datatype__Datetime'
          integer:
            $ref: '#/components/schemas/Integer'
          real:
            $ref: '#/components/schemas/Real'
          string:
            $ref: '#/components/schemas/String'
    String:
      properties:
        kind:
          type: string
          const: string
          title: Kind
          default: string
      additionalProperties: false
      type: object
      title: String
    Boolean:
      properties:
        kind:
          type: string
          const: boolean
          title: Kind
          default: boolean
      additionalProperties: false
      type: object
      title: Boolean
    CategoricalString:
      properties:
        kind:
          type: string
          const: categorical_string
          title: Kind
          default: categorical_string
        values:
          items:
            type: string
          type: array
          title: Values
      additionalProperties: false
      type: object
      required:
        - values
      title: CategoricalString
    CategoricalInteger:
      properties:
        kind:
          type: string
          const: categorical_integer
          title: Kind
          default: categorical_integer
        values:
          items:
            type: integer
          type: array
          title: Values
      additionalProperties: false
      type: object
      required:
        - values
      title: CategoricalInteger
    Integer:
      properties:
        kind:
          type: string
          const: integer
          title: Kind
          default: integer
        bits:
          type: integer
          enum:
            - 8
            - 16
            - 32
            - 64
          title: Bits
        signed:
          type: boolean
          title: Signed
          default: true
        range:
          anyOf:
            - $ref: '#/components/schemas/Range_int_'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - bits
      title: Integer
    Real:
      properties:
        kind:
          type: string
          const: real
          title: Kind
          default: real
        bits:
          type: integer
          enum:
            - 16
            - 32
            - 64
          title: Bits
        range:
          anyOf:
            - $ref: '#/components/schemas/Range_float_'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - bits
      title: Real
    outerproduct_dataframe__datatype__Datetime:
      properties:
        kind:
          type: string
          const: datetime
          title: Kind
          default: datetime
      additionalProperties: false
      type: object
      title: Datetime
    Range_int_:
      properties:
        min:
          anyOf:
            - type: integer
            - type: 'null'
          title: Min
        max:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max
      additionalProperties: false
      type: object
      title: Range[int]
    Range_float_:
      properties:
        min:
          anyOf:
            - type: number
            - type: 'null'
          title: Min
        max:
          anyOf:
            - type: number
            - type: 'null'
          title: Max
      additionalProperties: false
      type: object
      title: Range[float]
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth2/OIDC access token
      description: >-
        An API key or OAuth2/OIDC access token sent as `Authorization: Bearer
        <token>`.

````